系统要求 - 5.0 版本通用要求

这些要求适用于所有平台

  • 安装过程中建议有可以正常连接的网卡和互联网。
  • 至少应有 1 GB 内存,建议每个处理器内核配置 4 GB 或以上。
  • 1 - 5 GB 的磁盘空间,具体取决于许可产品及安装选项。
  • Adobe Acrobat® Reader 9.0 或以上的版本,以便查看和打印 PDF 格式的 COMSOL® 文档。

网络浮动许可证

网络浮动许可证支持由 Windows®,Linux® 以及 Mac OS X® 系统计算机组成的网络环境。COMSOL® 软件以及许可证管理器均可在 Windows®,Linux® 或 Mac OS X® 系统下运行,且用户可以在一台计算机上同时运行这两项。在高性能计算(HPC)中建议使用本类许可证类型,获得最佳性能表现;在包含混合建模的分布式内存并行中,也需要使用本类许可证类型。

操作系统要求

除下面所列的操作系统要求之外,请点击 Interfacing Product Suite Requirements 查看 CAD 导入模块、设计模块和 LiveLink 产品套件的具体要求。

Windows® Mac OS X Linux®
32 位操作系统 Windows® 8.1
Windows® 8
Windows® 7
Windows Server® 2008
Windows Vista®
Windows Server® 2003 with Service Pack 2 or later
Windows® XP with Service Pack 3 or later2
- Debian® 5.0, 6.0 and 7.0
OpenSUSE® 11.3
RedHat® Enterprise Linux® 51, 6.0-6.5, and 71
Ubuntu® 10.04 LTS, 12.04 LTS, and 14.04 LTS1
64 位操作系统 Windows® 8.1
Windows® 8
Windows® 7
Windows Server® 2012 R2
Windows Server® 2012
Windows Server® 2008 R2
Windows Server® 2008
Windows HPC Server® 2008 R2
Windows HPC Server® 2008
Windows Vista®
Windows Server® 2003 x64 Edition with Service Pack 2 or later
Windows® Compute Cluster Server 2003 with Service Pack 1 or later
Windows® XP Professional x64 Edition with Service Pack 2 or later2
Mac OS X® 10.7, 10.8, 10.9 and 10.10 Debian® 5.0, 6.0 and 7.0
OpenSUSE® 11.3
RedHat® Enterprise Linux® 51, 6.0-6.5, and 71
Ubuntu® 10.04 LTS, 12.04 LTS, and 14.04 LTS1

1 仅支持服务器、批处理和集群操作。
2 Windows XP 系统仅支持使用跨平台 GUI。

具体操作系统要求

Linux® GNU C Library version 2.8 or later1
Linux® kernel 2.6.18 or later
Intel® Pentium® IV or AMD Athlon® XP processor or later
FLEXnet requires Linux Standard Base (LSB).

1 如果系统中安装有 libstdc++ 6.0.9 或更早的版本,可能需要通过 -forcegcc 选项启动 COMSOL

图形系统要求

出于软件性能表现的考虑,COMSOL® 建议使用硬件渲染,其中硬件渲染要求显卡驱动支持 OpenGL® 1.4。Windows® 用户也可以在本地控制台上使用 DirectX® 9。硬件渲染需要至少 24 位颜色深度。

或者,也可以使用软件渲染。在首选项的图形和绘图窗口中,优化列表中的质量选项需要 OpenGL® 2.0。软件渲染选项也支持 16 位颜色深度。出于软件性能的考虑,我们建议显卡至少有 512 MB 显存。

  Card Model Operating System Driver Version
Windows® FirePro™ W7000 Windows® 7 13.352.1014
Quadro™ 600 Windows® 7 9.18.13.4052
Quadro™ FX 3800 Windows® Server 2008 R2 9.18.13.2000
Quadro™ FX 580 Windows® Server 2012 9.18.13.4052
Quadro™ K2000 Windows® Vista 9.18.13.4052
Quadro™ K4000 Windows® 7 9.18.13.4052
Quadro™ K5000 Windows® 8 9.18.13.4052
Quadro™ K600 Windows® 8.1 9.18.13.4052
Linux® * FirePro™ V5900 Ubuntu® 12.04 LTS 13.352.1014
FirePro™ W5000 Debian® 7.0 13.352.1014
FirePro™ W8000 Debian® 6.0 13.352.1014
NVS™ 510 Ubuntu® 14.04 LTS 9.18.13.4032
Quadro™ FX 1800 Debian® 6.0 195.36.31
Quadro™ K600 Debian® 7.0 9.18.13.4032

上表中所列的显卡均已通过与 COMSOL Multiphysics® 的严格兼容性测试。请注意,其他 AMD 或 NVIDIA 显卡同样也可能与 COMSOL Multiphysics® 兼容。与上表中所列显卡同属一种模式系列的显卡与 COMSOL Multiphysics® 兼容的可能性更高。

* 对于 Linux® 系统下的硬件加速,请使用 NVIDIA 或 AMD 等显卡供应商发布的专用驱动程序,或者,请使用 COMSOL® 软件渲染功能。仅在软件渲染中支持 Nouveau 视频驱动。

官方支持的编译器

Windows® Mac OS X Linux®
External Function C Visual Studio® 2010 Intel® Composer XE 2013.3 (also known as Intel® Compiler version 13.0.2) with GCC 4.2.1 is officially supported Intel® Composer XE 2013.4 (also known as Intel® Compiler version 13.1.2) with GCC 4.2.1 is officially supported
Java® API JDK 1.6 or lower JDK 1.6 or lower JDK 1.6 or lower

并行系统要求 *

Windows® Mac OS X Linux®
Shared-memory Parallelism All supported versions of Windows® All supported versions of Mac OS X® All supported Linux® Distributions
Distributed-memory Parallelism Windows® Compute Cluster Server 2003 with Service Pack 1
Windows HPC Server® 2008
Windows HPC Server® 2008 R2
Not Supported RedHat® Enterprise Linux® 5 and 6.0-6.5, Debian® 6, and Ubuntu® 12.04.

All computers in the cluster must use the same Linux® version and should have similar hardware. It is recommended that OpenFabrics Enterprise Distribution (OFED) 1.4 or higher is installed. If you are using an RDMA-capable network fabrics a DAPL 1.2 or later version compliant driver or library is required. The software is usually provided with your hardware

* COMSOL 很自豪是 Intel® Cluster Ready 项目中的一员,每个新版本均经过了项目认证。查看认证信息。这一认证也保证了 COMSOL Multiphysics 可以在任何已经通过 Intel Cluster Ready 认证的硬件上进行无缝的并行计算和集群建模。

Intel Cluster Ready
Intel,Intel Cluster Ready 和 Intel Cluster Ready 文本均为 Intel Corporation 在美国和/或其他国家的商标。

FLEXnet 许可证管理器

所有平台均使用 FLEXnet 11.12 版本,lmgrd 应与 COMSOL 中所用的 FLEXnet 具有相同或更高的版本。

注意:本建议信息只是出于用户利益的考虑而提供,不应替代您根据具体情况和自身对于 COMSOL® 软件或其他软件的使用而对适用系统要求进行的考察和判断。系统和硬件会经常升级,这可能会影响您对适用系统要求的判断。

Version 5.0
Version 4.4
Version 4.3b